Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Guardian.Factors.List(
context.TODO(),
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.list();
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.list();
}
main();
curl --request GET \
--url https://{tenantDomain}/api/v2/guardian/factors \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v2/guardian/factors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
[
{
"enabled": true,
"trial_expired": true,
"name": "sms"
}
]Get Factors and multi-factor authentication details
Retrieve details of all multi-factor authentication factors associated with your tenant.
GET
https://{tenantDomain}/api/v2
/
guardian
/
factors
Go
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Guardian.Factors.List(
context.TODO(),
)
}import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.list();
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.guardian.factors.list();
}
main();
承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
レスポンス
Factors successfully retrieved.
Whether this factor is enabled (true) or disabled (false).
Whether trial limits have been exceeded.
Factor name. Can be sms, push-notification, email, duo otp webauthn-roaming, webauthn-platform, or recovery-code.
利用可能なオプション:
push-notification, sms, email, duo, otp, webauthn-roaming, webauthn-platform, recovery-code Minimum string length:
1このページは役に立ちましたか?